# -*- coding: utf-8 -*-
# Copyright (c) 2003-2006 Ingeniweb SAS
#
# This software is subject to the provisions of the GNU General Public
# License, Version 2.0 (GPL).  A copy of the GPL should accompany this
# distribution.  THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL
# EXPRESS OR IMPLIED WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF TITLE, MERCHANTABILITY,
# AGAINST INFRINGEMENT, AND FITNESS FOR A PARTICULAR PURPOSE
#
# More details in the ``LICENSE`` file included in this package.

"""
Installation utility, QuickInstaller hooks
$Id: Install.py 34907 2006-12-20 15:45:53Z glenfant $
"""

__author__  = 'Gilles Lenfant <gilles.lenfant@ingeniweb.com>'
__docformat__ = 'restructuredtext'

from StringIO import StringIO

from Products.CMFCore.utils import getToolByName

from Products.Archetypes.Extensions.utils import installTypes
from Products.Archetypes.Extensions.utils import install_subskin

from Products.Archetypes import public as at_api

from Products.ZWikiFolder.config import *

def install(self):
    """
    Standard QuickInstaller hook
    @param self: Plone site
    """
    
    report = StringIO()
    
    classes = at_api.listTypes(PROJECTNAME)
    installTypes(self, report, classes, PROJECTNAME)
    install_subskin(self, report, GLOBALS)
    portal_workflow = getToolByName(self, 'portal_workflow')
    portal_workflow.setChainForPortalTypes([PROJECTNAME], 'folder_workflow')
    print >> report, "%s installed" % PROJECTNAME
    return report.getvalue()
