# -*- coding: utf-8 -*-
# Copyright (c) 2003-2006 Ingeniweb SAS
#
# This software is subject to the provisions of the GNU General Public
# License, Version 2.0 (GPL).  A copy of the GPL should accompany this
# distribution.  THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL
# EXPRESS OR IMPLIED WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF TITLE, MERCHANTABILITY,
# AGAINST INFRINGEMENT, AND FITNESS FOR A PARTICULAR PURPOSE
#
# More details in the ``LICENSE`` file included in this package.

"""
ZWikiFolder Package
$Id: __init__.py 34907 2006-12-20 15:45:53Z glenfant $
"""

__author__  = 'Gilles Lenfant <gilles.lenfant@ingeniweb.com>'
__docformat__ = 'restructuredtext'

from Products.CMFCore import utils
from Products.CMFCore import permissions
from Products.Archetypes import public as at_api
from Products.CMFCore.DirectoryView import registerDirectory
from config import *

# Initializes/installs monkey patches
if INSTALL_ZWIKIMAIL_MONKEYPATCH:
    import patches

registerDirectory(SKINS_DIR, GLOBALS)

def initialize(context):
    import zwikifolder

    content_types, constructors, ftis = at_api.process_types(
        at_api.listTypes(PROJECTNAME),
        PROJECTNAME)

    utils.ContentInit(
        '%s Content' % PROJECTNAME,
        content_types=content_types,
        permission=permissions.AddPortalFolders,
        extra_constructors=constructors,
        fti=ftis,
        ).initialize(context)
    return
