# -*- coding: utf-8 -*-
# Copyright (c) 2003-2006 Ingeniweb SAS
#
# This software is subject to the provisions of the GNU General Public
# License, Version 2.0 (GPL).  A copy of the GPL should accompany this
# distribution.  THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL
# EXPRESS OR IMPLIED WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF TITLE, MERCHANTABILITY,
# AGAINST INFRINGEMENT, AND FITNESS FOR A PARTICULAR PURPOSE
#
# More details in the ``LICENSE`` file included in this package.

"""
Configuration data
Please changes settings in customconfig.py
$Id: config.py 34907 2006-12-20 15:45:53Z glenfant $
"""

__author__  = 'Gilles Lenfant <gilles.lenfant@ingeniweb.com>'
__docformat__ = 'restructuredtext'

from customconfig import *

# Standard AT Product registration data

GLOBALS = globals()
PROJECTNAME = "ZWikiFolder"
SKINS_DIR = 'skins'
I18N_DOMAIN = PROJECTNAME.lower()

# Marker in a list of roles for the permissions with acquired roles
PSEUDO_ACQUIRED_ROLE = '_acquired_roles_'

# Vocabulary for allowed_page_types
# FIXME: find how to get this from the ZWiki API
ALLOWED_PAGE_TYPES = [
    ('stx', 'StructuredText'),
    ('rst', 'reStructuredText'),
    ('moin', 'MoinMoin'),
    ('wwml', 'WikiWikiWeb'),
    ('html', 'Plain HTML'),
    ('plaintext', 'Plain text')
    ]
