# -*- coding: utf-8 -*-
# Copyright (c) 2003-2006 Ingeniweb SAS
#
# This software is subject to the provisions of the GNU General Public
# License, Version 2.0 (GPL).  A copy of the GPL should accompany this
# distribution.  THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL
# EXPRESS OR IMPLIED WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF TITLE, MERCHANTABILITY,
# AGAINST INFRINGEMENT, AND FITNESS FOR A PARTICULAR PURPOSE
#
# More details in the ``LICENSE`` file included in this package.

"""
Customizable configuration data
$Id: customconfig.py 35306 2007-01-03 18:14:28Z glenfant $
"""

__author__  = 'Gilles Lenfant <gilles.lenfant@ingeniweb.com>'
__docformat__ = 'restructuredtext'

# INSTALL_ZWIKIMAIL_MONKEYPATCH
# =============================
# ZWiki mailing utility definitively sucks. On some versions of ZWiki
# we need to include this patch (0.51 ... 0.58), on others we don't
# need this. ZWiki people do not test mailing with non ASCII chars.
# If the outgoing mail is ugly on non ASCII chars you probably need to
# install this patch.

INSTALL_ZWIKIMAIL_MONKEYPATCH = True

# SITE_CHARSET
# ============
# Sorry but ZWiki pages in Plone site don't seem to be first class
# Plone content, and I didn't find the way to get the Plone site
# charset in the context of a ZWiki page. Copy here the charset you
# use in your Plone site. This value will be ignored until
# INSTALL_ZWIKIMAIL_MONKEYPATCH = True (see above)

SITE_CHARSET = 'utf-8'

# MAILOUT_CHARSET
# ===============
# Mail sent from ZWiki pages will be encoded with this charset. This
# value will be ignored unless INSTALL_ZWIKIMAIL_MONKEYPATCH = True
# (see above)

MAILOUT_CHARSET = 'utf-8'

# DEFAULT_ALLOWED_PAGE_TYPES
# ==========================
# Allowed markups in new ZWikiFolders
# Values must be in [t[0] for t in config.ALLOWED_PAGE_TYPES] (see config.py)
# Default type for newly created ZWiki Page must be in first position

DEFAULT_ALLOWED_PAGE_TYPES = ['rst', 'stx']

# DEFAULT_FRONTPAGE
# =================
# The default FrontPage for a newly created ZWikiFolder
# Use the ZWiki markup from DEFAULT_ALLOWED_PAGE_TYPES[0]
# Use the site charset or pure US-ASCII

DEFAULT_FRONTPAGE = """
Welcome to the new Wiki.

You are actually viewing the default page of this new !ZWikiFolder.

You should restrict the content types enabled in this folder unless your users are experienced.

You can learn more about !ZWiki from the `!ZWiki site <http://www.zwiki.org/>`_

You can learn more about reStructuredText markup from the `docutils site <http://docutils.sourceforge.net/>`_

`Click here <./edit>`_ to change this !ZWikiFolder settings
"""

# MAIL_WIDGET_SIZE
# ================
# Width in characters of the various email widgets in edit forms

MAIL_WIDGET_SIZE = 60
