# -*- coding: utf-8 -*-
# Copyright (c) 2003-2006 Ingeniweb SAS
#
# This software is subject to the provisions of the GNU General Public
# License, Version 2.0 (GPL).  A copy of the GPL should accompany this
# distribution.  THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL
# EXPRESS OR IMPLIED WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF TITLE, MERCHANTABILITY,
# AGAINST INFRINGEMENT, AND FITNESS FOR A PARTICULAR PURPOSE
#
# More details in the ``LICENSE`` file included in this package.
"""
Defines BaseTestCase class.
$Id: base.py 34952 2006-12-21 19:37:17Z glenfant $
"""

__author__  = 'Gilles Lenfant <gilles.lenfant@ingeniweb.com>'
__docformat__ = 'restructuredtext'

# Zope imports
from Testing import ZopeTestCase

# CMF imports
from Products.CMFCore.utils import getToolByName

# Plone imports
from Products.PloneTestCase import PloneTestCase

class BaseTestCase(PloneTestCase.PloneTestCase):
    """Base class for all class with test cases on ZWikiFolder"""
    
    def _setup(self):
        PloneTestCase.PloneTestCase._setup(self)
    
    def addContent(self, portal_type, container, content_id, **kwargs):
        """Add new content"""
        
        container.invokeFactory(portal_type, id=content_id, **kwargs)
        content = getattr(container, content_id)
        return content

# Install Product and dependant stuffs
ZopeTestCase.installProduct('ZWiki', 1)
ZopeTestCase.installProduct('ZWikiFolder', 1)

# Setup Plone site
PloneTestCase.setupPloneSite(products=['ZWiki', 'ZWikiFolder'])
